#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-H0c4HKhDydf3UvP9crVVgU
key:                  coinbase-pro-0.9.3.2-H0c4HKhDydf3UvP9crVVgU
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  c73d526e4d7742f73476dd51c21aca37
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-H0c4HKhDydf3UvP9crVVgU
depends:
    HsOpenSSL-0.11.7.6-J0F26Ocr5EbK6VQxpJqxNo
    aeson-2.1.2.1-A4BCifdqKBRKymWAxMJ7G4
    aeson-casing-0.2.0.0-FP0XU35P4aI1pFglLPnMYE
    async-2.2.4-FN1EWRVHp3S4oHdBJm7ot4 base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-4MCpj4dYqpxaFTiHyWFMU exceptions-0.10.4
    http-api-data-0.5.1-GaKGEnCo0PR6YcJFBpYdl0
    http-client-0.7.13.1-CPidKKE2PI0BlQUMbH0bc3
    http-client-tls-0.3.6.3-3Q4ebUfOymuAU54v6KsBnm
    http-streams-0.8.9.8-70QS6kEjGP7GePEY3CTOtA
    http-types-0.12.3-GFhxs6XVQ6bETbOR4vEFmW
    io-streams-1.5.2.2-2T98B6CbhIc1BpzU8ZNuo7
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.3.0-3M5Tdsi477bH0rciWhbCqL
    servant-0.19.1-8IE9OeTCXgh8kDRPDUdkfC
    servant-client-0.19-CIzG15ng49worxTHHgaB
    servant-client-core-0.19-HiQDEx22la8ImyRd5yr4fW
    tasty-1.4.3-F5jS0TcPgL077vxy1alhqa
    tasty-hunit-0.10.0.3-A83AgJq5l3J3trj34rGoWt text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-Bzrc4JXY4RwL2NbKz1XtKt
    unordered-containers-0.2.19.1-Km0aDxhChoIJJSbiufyazz
    uuid-1.3.15-9nOYqnIK4qDEtoPE3Ovc8E
    vector-0.13.0.0-9fyHsAonVFcGYv9jtLmfSh
    websockets-0.12.7.3-B6YPuhgKVh1Ciy6YBEsnU
    wuss-2.0.1.1-8qiFArSiqqlHvQxwzAIixa

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

